import { CoreEntity } from 'src/core/core.entity';
import { Column, Entity } from 'typeorm';

@Entity('shop_page_cms')
export class ShopPageCmsEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    pageTitle: string;

    @Column({ default: null, nullable: true })
    sectionTitle: string;

    @Column({ default: null, nullable: true })
    sectionHeader: string;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    buttonLink: string;

    @Column({ default: null, nullable: true })
    topBannerImage: string;
}
