import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {SendEmailRepository} from './send-email-repository';
import {SendEmailController} from './send-email.controller';
import {SendEmailService} from './send-email.service';

@Module({
    imports: [
        TypeOrmModule.forFeature([SendEmailRepository]),
    ],
    controllers: [SendEmailController],
    providers: [SendEmailService]
})
export class SendEmailModule {
}
