import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('ups-configuration')
export class UpsConfiguration extends CoreEntity {
    @Column({default: null})
    sandboxAccessLicenseNumber: string;

    @Column({default: null})
    sandboxUrl: string;

    @Column({default: null})
    sandboxUserName: string;

    @Column({default: null})
    sandboxPassword: string;

    @Column({default: null})
    liveAccessLicenseNumber: string;

    @Column({default: null})
    liveUrl: string;

    @Column({default: null})
    liveUserName: string;

    @Column({default: null})
    livePassword: string;

    @Column()
    addressLine: string;

    @Column()
    shipperAccountName: string;

    @Column()
    shipperAccountNumber: string;

    @Column()
    city: string;

    @Column()
    stateProvienceCode: string;

    @Column()
    postalCode: string;

    @Column()
    countryCode: string;

    @Column()
    country: string;

    @Column({default: null})
    credentialType: string;
}
